package com.bzd.system.service.kc.crk;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 退货表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcCrkThReturnService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcCrkThReturn(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkThReturnMapper.addSKcCrkThReturn", pd);
    }

    public List<PageData> findSKcCrkThReturnList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcCrkThReturnMapper.selectSKcCrkThReturnList", pd);
    }

    public Integer SKcCrkThReturnRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcCrkThReturnMapper.SKcCrkThReturnRemove", pd);
    }


    public Integer updateSKcCrkThReturn(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkThReturnMapper.updateSKcCrkThReturn", pd);
    }

}
